For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Inboxes
      • GETGet Inbox
      • POSTCreate Inbox
      • PATCHUpdate Inbox
      • DELDelete Inbox
        • GETList Drafts
        • GETGet Draft
        • GETGet Attachment
        • POSTCreate Draft
        • PATCHUpdate Draft
        • DELDelete Draft
        • POSTSend Draft
LogoLogo
contact@agentmail.ccDiscord
API ReferenceInboxesDrafts

Send Draft

POST
/v0/inboxes/:inbox_id/drafts/:draft_id/send
POST
/v0/inboxes/:inbox_id/drafts/:draft_id/send
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.inboxes.drafts.send(
8 inbox_id="inbox_id",
9 draft_id="draft_id",
10)
1{
2 "message_id": "message_id",
3 "thread_id": "thread_id"
4}
**CLI:** ```bash agentmail inboxes:drafts send --inbox-id <inbox_id> --draft-id <draft_id> ```
Was this page helpful?
Previous

List Entries

Next
Built with

CLI:

$agentmail inboxes:drafts send --inbox-id <inbox_id> --draft-id <draft_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.
draft_idstringRequired
ID of draft.

Request

This endpoint expects an object.
add_labelsstring or list of stringsOptional
Label or labels to add to message.
remove_labelsstring or list of stringsOptional
Label or labels to remove from message.

Response

This endpoint returns an object.
message_idstring
ID of message.
thread_idstring
ID of thread.

Errors

400
Validation Error
403
Message Rejected Error
404
Not Found Error